%define __libtoolize :
%global momorel 4
%global minor_ver 1

Summary: programming language Erlang
Name: erlang
Version: R12B
Release: %{momorel}m%{?dist}
License: "ERLANG PUBLIC LICENSE"
Group: Development/Languages
URL: http://www.erlang.org/
Source0: http://www.erlang.org/download/otp_src_%{version}-%{minor_ver}.tar.gz 
NoSource: 0

Patch0: otp_src_R12B-1-glibc28.patch

# patches from Fedora
Patch10: otp-links.patch
Patch11: otp-install.patch
Patch12: otp-rpath.patch
Patch13: otp-sslrpath.patch
Patch14: otp-null.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: flex
BuildPreReq: java-1.5.0-gcj-devel
BuildPreReq: m4
BuildPreReq: ncurses-devel
BuildPreReq: openssl-devel
BuildPreReq: tcl-devel
BuildPreReq: tk-devel
BuildPreReq: unixODBC-devel

%description
Erlang is a programming language designed at the Ericsson Computer
Science Laboratory. Open-source Erlang is being released to help
encourage the spread of Erlang outside Ericsson.

%prep
%setup -q -n otp_src_%{version}-%{minor_ver}
%patch0 -p1 -b .glibc

%patch10 -p1 -b .links
%patch11 -p1 -b .install
%patch12 -p1 -b .rpath
%patch13 -p1 -b .sslrpath
%patch14 -p1 -b .null


%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --without-perfctr \
    --enable-smp-support \
    --enable-threads

%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
make install INSTALL_PREFIX=%{buildroot}

# change path "%%{buildroot}" to ""
sed "s,%{buildroot},," -i %{buildroot}/%{_libdir}/erlang/bin/erl
sed "s,%{buildroot},," -i %{buildroot}/%{_libdir}/erlang/bin/start
sed "s,%{buildroot},," -i %{buildroot}/%{_libdir}/erlang/erts-*/bin/erl
sed "s,%{buildroot},," -i %{buildroot}/%{_libdir}/erlang/erts-*/bin/start
sed "s,%{buildroot},," -i %{buildroot}/%{_libdir}/erlang/releases/RELEASES

# change absolute symlink to related
pushd %{buildroot}/%{_bindir}
for file in dialyzer epmd erl erlc run_erl to_erl
do
    ln -sf ../%{_lib}/erlang/bin/$file $file
done
popd

pushd %{buildroot}/%{_libdir}/erlang/bin
ln -sf ../erts-5.5/bin/epmd epmd
popd

# made objects non-executable to avoid "No build ID note" errors
find %{buildroot} -name "*.o" -perm +0111 -exec chmod a-x {} \;

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS EPLICENCE README
%{_bindir}/*
%{_libdir}/erlang

%changelog
* Wed Jun  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (R12B1-4m)
- rebuild against openssl-0.9.8h-1m

* Sun Apr 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (R12B1-3m)
- add patch0 (for glibc-2.8)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (R12B-2m)
- rebuild against gcc43

* Wed Mar  5 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (R12B-1m)
- update R12B-1

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (R11B-10m)
- %%NoSource -> NoSource

* Mon Oct 22 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (R11B-9m)
- add glibc-2.7 patch

* Mon Sep 24 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (R11B-8m)
- revised spec for debuginfo again

* Sun Sep 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (R11B-7m)
- revised spec for debuginfo

* Sun Jul  8 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (R11B-6m)
- update to R11B-5

* Sat Jun 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (R11B-5m)
- change BPR from java-sun-j2se1.5-sdk to java-1.5.0-gcj-devel
- import 5 patches from Fedora

* Mon Jan  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (R11B-4m)
- second maintainence release R11B-2

* Mon Dec 25 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (R11B-3m)
- support glibc-2.5

* Mon Jul 10 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (R11b-2m)
- revise spec for x86_64
- BuildPreReq: java-sun-j2se1.5-sdk

* Sat Jul  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (R11b-1m)
- initial build
